Bug 123346 - Merge editor related options into Editor category
Merge editor related options into Editor category
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Options
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Vitezslav Stejskal
issues@editor
: PLAN, UI
Depends on:
Blocks: 133913 123457
  Show dependency treegraph
 
Reported: 2007-12-04 13:15 UTC by jrojcek
Modified: 2008-06-16 14:56 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jrojcek 2007-12-04 13:15:11 UTC
Problem description and solution:

As part of the pack consolidation for 6.0 we integrated most of the editor related options into the Editor options category. There's still a few things 
missing. First, move all editor options from Advanced dialog into the Editor category (eliminate those obscure options that don't make sense to keep). 
Second, integrate editor options from all languages (Java, C/C++, Ruby, PHP, etc.) into Editor category. See the spec (maybe needs an update):
http://ui.netbeans.org/docs/ui/options2/ 

---

Note that even though I'm filing this issue as part of the 6.1 planning, the real intention is to address this issue in one of the upcoming releases.
Comment 1 Vitezslav Stejskal 2007-12-05 09:14:12 UTC
Does this relate in any way to issue #90522?
Comment 2 Miloslav Metelka 2007-12-05 11:08:46 UTC
'Insert Single Proposals Automatically' == 'Code Completion Instant Substitution'

'Auto Popup Javadoc window' is NOT already present in the Completion Settings of the Editor tab and it should be added
there.

I assume that once I choose a language e.g. 'Java' in the Language combo in some panel then all the other panels will
start to show 'Java' settings automatically too, right?
Comment 3 jrojcek 2007-12-05 14:52:04 UTC
Yes, it is related to issue #90522. This one is Editor specific and focuses also on integrating editor options that are already in the new options dialog.

Ondra is the right person to answer questions related to the editor options UI spec.
Comment 4 Ondrej Langr 2007-12-06 10:58:27 UTC
mmetelka: thanks. 

> 'Insert Single Proposals Automatically' == 'Code Completion Instant Substitution'

FIXED

> 'Auto Popup Javadoc window' is NOT already present in the Completion Settings of 
> the Editor tab and it should be added there.

ADDED

> I assume that once I choose a language e.g. 'Java' in the Language combo in some 
> panel then all the other panels will start to show 'Java' settings automatically 
> too, right?

Right ;).
Comment 5 Jan Becicka 2008-05-26 15:15:35 UTC
Vita is working on it.
Comment 6 Vitezslav Stejskal 2008-06-16 14:56:38 UTC
> First, move all editor options from Advanced dialog into the Editor category (eliminate those obscure options that
don't make sense to keep).

This has been done. There are no editor related settings in Advanced Options now.

> Second, integrate editor options from all languages (Java, C/C++, Ruby, PHP, etc.) into Editor category.
> See the spec (maybe needs an update): http://ui.netbeans.org/docs/ui/options2/ 

This is still to be done and I filed a separate task for it - see issue #137318.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo